List portrayals
curl --request GET \
--url https://www.fmdb.net/api/portrayals \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/portrayals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/portrayals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fmdb.net/api/portrayals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.fmdb.net/api/portrayals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.fmdb.net/api/portrayals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fmdb.net/api/portrayals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"aspects": [
"performance"
],
"notes": "German dub",
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"performer": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"fictionalArtist": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"production": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"name": "<string>",
"_type": "person",
"country": "<string>",
"display_name": "Brian May (Australian composer)",
"slug": "john-williams-4f9a1c",
"real_name": "Thomas Bangalter",
"begin_date": "1957-06-12",
"end_date": "1920-05",
"begin_city": "<string>",
"begin_country": "<string>",
"end_city": "<string>",
"end_country": "<string>",
"disambiguation": "<string>",
"biography": "<string>",
"fictional": false,
"variations": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"members": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
},
"groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
},
"included": [
"<unknown>"
]
}
]
}{
"errors": [
{
"status": "429",
"title": "Rate Limit Exceeded",
"detail": "You have exceeded the rate limit of 300 requests per 60 seconds. The budget resets at 2026-01-15T10:00:42+00:00."
}
]
}Portrayal
List portrayals
List portrayals
GET
/
api
/
portrayals
List portrayals
curl --request GET \
--url https://www.fmdb.net/api/portrayals \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/portrayals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/portrayals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fmdb.net/api/portrayals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.fmdb.net/api/portrayals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.fmdb.net/api/portrayals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fmdb.net/api/portrayals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"aspects": [
"performance"
],
"notes": "German dub",
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"performer": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"fictionalArtist": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"production": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"name": "<string>",
"_type": "person",
"country": "<string>",
"display_name": "Brian May (Australian composer)",
"slug": "john-williams-4f9a1c",
"real_name": "Thomas Bangalter",
"begin_date": "1957-06-12",
"end_date": "1920-05",
"begin_city": "<string>",
"begin_country": "<string>",
"end_city": "<string>",
"end_country": "<string>",
"disambiguation": "<string>",
"biography": "<string>",
"fictional": false,
"variations": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"members": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
},
"groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
},
"included": [
"<unknown>"
]
}
]
}{
"errors": [
{
"status": "429",
"title": "Rate Limit Exceeded",
"detail": "You have exceeded the rate limit of 300 requests per 60 seconds. The budget resets at 2026-01-15T10:00:42+00:00."
}
]
}Authorizations
API token authentication
Query Parameters
The collection page number
Keep the portrayals this real artist performs (artist UUID).
Keep the portrayals this real artist performs (artist UUID).
Keep the portrayals of this fictional artist (artist UUID).
Keep the portrayals of this fictional artist (artist UUID).
Keep the portrayals in this production (production UUID).
Keep the portrayals in this production (production UUID).
Sort by creation time. Without it the portrayals come oldest first.
Available options:
asc, desc, ASC, DESC Sort by creation time. Without it the portrayals come oldest first.
Available options:
asc, desc, ASC, DESC Response
Portrayal collection
Portrayal.jsonapi collection.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
}
Show child attributes
Show child attributes
Related resources requested via the "include" query parameter.
- Option 1
- Option 2
Show child attributes
Show child attributes
